## bleachbit 2.0

=== Makefile ===
# On some systems if not explicitly given, make uses /bin/sh
SHELL := /bin/bash

.PHONY: clean install tests build

prefix ?= /usr/local
bindir ?= $(prefix)/bin
datadir ?= $(prefix)/share

INSTALL = install
INSTALL_DATA = $(INSTALL) -m 644

# if not specified, do not check coverage
COVERAGE ?= python

build:
	echo Nothing to build

clean:
	@rm -vf {.,bleachbit,tests,windows}/*{pyc,pyo,~}
	@rm -vrf build dist # created by py2exe
	@rm -rf BleachBit-Portable # created by windows/setup_py2exe.bat
	@rm -rf BleachBit-*-portable.zip
	@rm -vf MANIFEST # created by setup.py
	make -C po clean
	@rm -vrf locale
	@rm -vrf {*/,./}*.{pychecker,pylint,pyflakes}.log
	@rm -vrf windows/BleachBit-*-setup*.{exe,zip}
	@rm -vrf htmlcov .coverage # code coverage reports

install:
	# "binary"
	mkdir -p $(DESTDIR)$(bindir)
	$(INSTALL_DATA) bleachbit.py $(DESTDIR)$(bindir)/bleachbit
	chmod 0755 $(DESTDIR)$(bindir)/bleachbit

	# .desktop
	mkdir -p $(DESTDIR)$(datadir)/applications
	$(INSTALL_DATA) bleachbit.desktop $(DESTDIR)$(datadir)/applications/

	# .desktop
	mkdir -p $(DESTDIR)$(datadir)/appdata
	$(INSTALL_DATA) bleachbit.appdata.xml $(DESTDIR)$(datadir)/appdata/

	# Python code
	mkdir -p $(DESTDIR)$(datadir)/bleachbit
	$(INSTALL_DATA) bleachbit/*.py $(DESTDIR)$(datadir)/bleachbit
	cd $(DESTDIR)$(datadir)/bleachbit && \
	python -O -c "import compileall; compileall.compile_dir('.')" && \
	python -c "import compileall; compileall.compile_dir('.')"

	# cleaners
	mkdir -p $(DESTDIR)$(datadir)/bleachbit/cleaners
	$(INSTALL_DATA) cleaners/*xml $(DESTDIR)$(datadir)/bleachbit/cleaners

	# icon
	mkdir -p $(DESTDIR)$(datadir)/pixmaps
	$(INSTALL_DATA) bleachbit.png $(DESTDIR)$(datadir)/pixmaps/

	# translations
	make -C po install DESTDIR=$(DESTDIR)

	# PolicyKit
	mkdir -p $(DESTDIR)$(datadir)/polkit-1/actions
	$(INSTALL_DATA) org.bleachbit.policy $(DESTDIR)$(datadir)/polkit-1/actions/

lint:
	[ -x "$$(command -v pychecker)" ] ||  echo "WARNING: pychecker not found"
	[ -x "$$(command -v pyflakes)" ] ||  echo "WARNING: pyflakes not found"
	[ -x "$$(command -v pylint)" ] ||  echo "WARNING: pylint not found"
	for f in *py */*py; \
	do \
		echo "$$f" ; \
		( [ -x "$$(command -v pychecker)" ] && pyflakes "$$f" > "$$f".pychecker.log ); \
		( [ -x "$$(command -v pyflakes)" ] && pyflakes "$$f" > "$$f".pyflakes.log ); \
		( [ -x "$$(command -v pylint)" ] && pylint "$$f" > "$$f".pylint.log ); \
	done; \
	exit 0

tests:
	make -C cleaners tests; cleaners_status=$$?; \
	$(COVERAGE) -m unittest discover -p Test*.py -v; py_status=$$?; \
	exit $$(($$cleaners_status + $$py_status))

pretty:
	autopep8 -i {.,bleachbit,tests}/*py
	dos2unix  {.,bleachbit,tests}/*py
	make -C cleaners pretty
	xmllint --format doc/cleaner_markup_language.xsd > doc/cleaner_markup_language.xsd.tmp
	mv doc/cleaner_markup_language.xsd.tmp doc/cleaner_markup_language.xsd

=== cleaners/Makefile ===
# On some systems if not explicitly given, make uses /bin/sh, so 'make pretty' fails.
SHELL := /bin/bash

PHONY: pretty tests


pretty:
	for f in *xml; \
	do \
		xmllint --format "$$f"  > "$$f.pretty"; \
		diff=`diff -q "$$f" "$$f.pretty" | grep -o differ`; \
		[[ "$$diff" != "differ" ]] && echo "$$f" unchanged && rm "$$f.pretty"; \
		[[ -s "$$f.pretty" ]] && echo "$$f" is pretty now!!! && mv "$$f.pretty" "$$f" ; \
	done; \
	exit 0

tests:
	lintrc=0; \
	for f in *.xml; \
	do \
		xmllint --noout --schema ../doc/cleaner_markup_language.xsd "$$f"; \
		lintrc=$$(($$lintrc + $$?)); \
	done; \
	exit $$lintrc

=== debian/changelog ===
bleachbit (2.0-2) unstable; urgency=medium

  * Use policykit instead of su-to-root (Closes: #855462).
    - Add required policykit-1 dependency to debian/control.
    - No longer depend on menu (was used for su-to-root, no longer relevant).
    - Update root desktop file in debian/rules.
    - Install policykit rule.
  * Run wrap-and-sort -a.

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 23 Mar 2018 09:25:35 +0100

bleachbit (2.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove trailing whitespaces in various files (help from Ondrej, thanks!).
  * debian/control:
    - Bump Standards-Version to 4.1.3.
    - Update debhelper dependency from >= 10 to >= 11.
    - Add missing desktop-file-utils dependency.
  * debian/copyright:
    - Update copyright years.
  * Refresh patches for new upstream release.
  * Remove local_cleaners_dir.patch, not useful anymore.
  * Update debian/watch to version 4 and remove upstream keys: not providing
    signed releases in a compatible format anymore.

 -- Hugo Lefeuvre <hle@debian.org>  Thu, 15 Mar 2018 18:42:45 +0100

bleachbit (1.15-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
    - Bump Standards-Version to 4.0.0.
    - Update debhelper dependency from >= 9 to >= 10.
    - Update X-Python-Version field to >= 2.6.
  * Bump compat level to 10.
  * Use https protocol in debian/copyright links.

 -- Hugo Lefeuvre <hle@debian.org>  Wed, 30 Aug 2017 10:08:24 +0200

bleachbit (1.15-1) experimental; urgency=low

  * New upstream release.
  * debian/patches:
    - Remove debian/patches/desktop_file.patch (integrated by upstream).
    - Refresh patches for new upstream release.
  * debian/copyright:
    - Update copyright years.
  * debian/bleachbit.1:
    - Refresh manpage for new upstream release.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 02 Apr 2017 13:19:20 +0200

=== debian/control ===
Source: bleachbit
Section: admin
Priority: optional
Maintainer: Hugo Lefeuvre <hle@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 11),
               desktop-file-utils,
               dh-python
Build-Depends-Indep: gettext,
                     python-all
Standards-Version: 4.1.3
X-Python-Version: >= 2.6
Vcs-Git: https://salsa.debian.org/python-team/applications/bleachbit.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/bleachbit
Homepage: https://www.bleachbit.org/

Package: bleachbit
Architecture: all
Depends: policykit-1,
         python | python-simplejson,
         python-gtk2,
         ${misc:Depends},
         ${python:Depends}
Recommends: python-notify
Description: delete unnecessary files from the system
 BleachBit deletes unnecessary files to free valuable disk space, maintain
 privacy, and remove junk. It removes cache, Internet history, temporary files,
 cookies, and broken shortcuts.
 .
 It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Firefox, Flash,
 GIMP, Google Earth, Java, KDE, OpenOffice.org, Opera, RealPlayer, rpmbuild,
 Second Life Viewer, VIM, XChat, and more.
 .
 Beyond simply erasing junk files, BleachBit wipes free disk space (to hide
 previously deleted files for privacy and to improve compression of images),
 vacuums Firefox databases (to improve performance without deleting data), and
 securely shreds arbitrary files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_clean:
	find po -name "*.mo" -delete
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install -- --install-lib=/usr/share/bleachbit
	make -C po install DESTDIR=$(CURDIR)/debian/bleachbit
	find $(CURDIR)/debian/bleachbit -name "*.egg-info" -delete

override_dh_install:
	# Do not install Windows-specific cleaners
	dh_install $(addprefix -X,$(notdir $(shell grep -l os=.windows. cleaners/*.xml | xargs ls)))
	# Automatically generate .desktop file to invoke BleachBit as superuser
	sed -e "s/Name=BleachBit/Name=BleachBit \(as root\)/; \
		s/TryExec=bleachbit/TryExec=pkexec/; \
		s/Exec=bleachbit/Exec=pkexec bleachbit/" \
		bleachbit.desktop > debian/bleachbit/usr/share/applications/bleachbit-root.desktop

override_dh_fixperms:
	dh_fixperms
	chmod +x $(CURDIR)/debian/bleachbit/usr/share/bleachbit/bleachbit.py

=== debian/watch ===
version=4
http://sf.net/bleachbit/bleachbit-([0-9.]+)\.tar.gz

## bleachbit 2.0-2+9.0trisquel1

=== debian/changelog ===
bleachbit (2.0-2+9.0trisquel1) etiona; urgency=medium

  * Updates for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Nov 2019 19:38:45 +0000

=== debian/control ===
--- 
+++ 
@@ -27,11 +27,11 @@
  privacy, and remove junk. It removes cache, Internet history, temporary files,
  cookies, and broken shortcuts.
  .
- It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Firefox, Flash,
+ It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Abrowser, Flash,
  GIMP, Google Earth, Java, KDE, OpenOffice.org, Opera, RealPlayer, rpmbuild,
  Second Life Viewer, VIM, XChat, and more.
  .
  Beyond simply erasing junk files, BleachBit wipes free disk space (to hide
  previously deleted files for privacy and to improve compression of images),
- vacuums Firefox databases (to improve performance without deleting data), and
+ vacuums Abrowser databases (to improve performance without deleting data), and
  securely shreds arbitrary files.

## bleachbit 2.0-2+9.0trisquel2+9.0trisquel2+9.0trisquel2

=== po/Makefile ===
APP = bleachbit
POFILES = $(wildcard *.po)
MOFILES = $(patsubst %.po,%.mo,$(POFILES))
SRC = $(wildcard ../bleachbit/*.py)
POTFILE = $(APP).pot


.PHONY: refresh-po spelling local install clean all

cleanerml.pot: ../bleachbit/CleanerML.py ../cleaners/*xml
	python ../bleachbit.py --pot

desktop.pot: ../bleachbit.desktop
	echo "#: ../bleachbit.desktop" > desktop.pot
	echo "msgid \"`perl -n -e '/GenericName=(.*)$$/ && print "$$1\n"' ../bleachbit.desktop`\"" >> desktop.pot
	echo "msgstr \"\"" >> desktop.pot
	echo >> desktop.pot
	echo "#: ../bleachbit.desktop" >> desktop.pot
	echo "msgid \"`perl -n -e '/Comment=(.*)$$/ && print "$$1\n"' ../bleachbit.desktop`\"" >> desktop.pot
	echo "msgstr \"\"" >> desktop.pot
	echo >> desktop.pot


$(POTFILE): $(SRC) cleanerml.pot desktop.pot
	@echo "* Generating $(APP).pot"
	echo " Words before update: " \
		`tail -n +20 bleachbit.pot | grep -v ^# | sed "s/\(msgstr\|msgid\)//g" | sort | wc --words`
	cat cleanerml.pot desktop.pot > $(APP).pot
	xgettext -o $(APP).pot \
		--join-existing \
		--add-comments=TRANSLATORS \
		--keyword="_p:1c,2" \
		--default-domain=$(APP) \
		$(SRC)
	sed -i 's/charset=CHARSET/charset=utf-8/g' bleachbit.pot
	echo " Words after update: " \
		`tail -n +20 bleachbit.pot | grep -v ^# | sed "s/\(msgstr\|msgid\)//g" | sort | wc --words`


refresh-po: $(POTFILE)
	@echo "* Refreshing .po files"
	for oldpo in $(POFILES); do \
		lang=`basename $$oldpo .po`; \
		echo $$lang; \
		msgmerge --no-fuzzy-matching -v $${lang}.po $(POTFILE) > $${lang}.pot; \
		mv $$lang.pot $$lang.po; \
	done

spelling: $(POTFILE)
	@echo "* Checking spelling"
	@echo
	@echo Word count: `msggrep -Kie . --no-wrap $(POTFILE)  | grep ^msgid  | cut -c 8- | wc --words`
	@echo
	msggrep -Kie . --no-wrap $(POTFILE)  | grep ^msgid  | cut -c 8- | aspell  list | sort -u

%.mo: %.po
	@echo "* Generating $@"
	msgfmt --statistics -o $@ $<

local: $(MOFILES)
	@echo "* Copy locally for running without system installation"
	for mofile in $(MOFILES); do \
		lang=`basename $$mofile .mo`; \
		mkdir -p ../locale/$$lang/LC_MESSAGES/; \
		cp -lf $$mofile ../locale/$$lang/LC_MESSAGES/bleachbit.mo; \
	done
	@echo "Now you can run cd ..; python bleachbit/GUI.py"

install: $(MOFILES)
	echo "* Installing in $(DESTDIR)/usr/share/locale"
	for MO in $(MOFILES); do \
		lang=`basename $$MO .mo`; \
		DST=$(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
		mkdir -p $$DST; \
		cp $$MO $$DST/bleachbit.mo; \
done

clean:
	echo "* Cleaning"
	@rm -fv *.mo
	@rm -fv $(APP).pot cleanerml.pot desktop.pot
	@rm -rfv ../locale

all: $(APP).pot $(MOFILES)

=== debian/changelog ===
bleachbit (2.0-2+9.0trisquel2+9.0trisquel2+9.0trisquel2) etiona; urgency=medium

  * Remove cleaners for non-free programs and stop advertising them

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 26 Jun 2021 02:30:26 +0000

bleachbit (2.0-2+9.0trisquel2+9.0trisquel2) etiona; urgency=medium

  * Add icecat cleaner

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 26 Jun 2021 02:30:26 +0000

bleachbit (2.0-2+9.0trisquel2) etiona; urgency=medium

  * Rename firefox to abrowser

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 26 Jun 2021 02:30:26 +0000

=== debian/control ===
--- 
+++ 
@@ -27,8 +27,8 @@
  privacy, and remove junk. It removes cache, Internet history, temporary files,
  cookies, and broken shortcuts.
  .
- It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Abrowser, Flash,
- GIMP, Google Earth, Java, KDE, OpenOffice.org, Opera, RealPlayer, rpmbuild,
+ It handles cleaning of Bash, Beagle, Epiphany, Abrowser,
+ GIMP, Java, KDE, OpenOffice.org, RealPlayer, rpmbuild,
  Second Life Viewer, VIM, XChat, and more.
  .
  Beyond simply erasing junk files, BleachBit wipes free disk space (to hide

## bleachbit 2.0-2+9.0trisquel3

=== debian/changelog ===
bleachbit (2.0-2+9.0trisquel3) etiona; urgency=medium

  * Rename firefox to abrowser, add icecat cleaner and remove cleaners
    for non-free programs and stop advertising them

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 08 Jul 2022 16:53:45 +0000

## bleachbit 2.2

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,11 @@
+# Copyright (C) 2014-2019 by Andrew Ziem.  All rights reserved.
+# License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
+# This is free software: You are free to change and redistribute it.
+# There is NO WARRANTY, to the extent permitted by law.
+#
+# Makefile edited by https://github.com/Tobias-B-Besemer
+# Done on 2019-03-13
+
 # On some systems if not explicitly given, make uses /bin/sh
 SHELL := /bin/bash
 
@@ -51,7 +59,7 @@
 
 	# cleaners
 	mkdir -p $(DESTDIR)$(datadir)/bleachbit/cleaners
-	$(INSTALL_DATA) cleaners/*xml $(DESTDIR)$(datadir)/bleachbit/cleaners
+	$(INSTALL_DATA) cleaners/*.xml $(DESTDIR)$(datadir)/bleachbit/cleaners
 
 	# icon
 	mkdir -p $(DESTDIR)$(datadir)/pixmaps
@@ -70,12 +78,19 @@
 	[ -x "$$(command -v pylint)" ] ||  echo "WARNING: pylint not found"
 	for f in *py */*py; \
 	do \
-		echo "$$f" ; \
+		echo "$$f"; \
 		( [ -x "$$(command -v pychecker)" ] && pyflakes "$$f" > "$$f".pychecker.log ); \
 		( [ -x "$$(command -v pyflakes)" ] && pyflakes "$$f" > "$$f".pyflakes.log ); \
 		( [ -x "$$(command -v pylint)" ] && pylint "$$f" > "$$f".pylint.log ); \
 	done; \
 	exit 0
+
+delete_windows_files:
+	# This is used for building .deb and .rpm packages.
+	# Remove Windows-specific cleaners.
+	awk '/os=\"windows/ && /id=\"/ {print FILENAME}' cleaners/*.xml | xargs rm -f
+	# Remove Windows-specific modules.
+	rm -f bleachbit/Windows*.py
 
 tests:
 	make -C cleaners tests; cleaners_status=$$?; \

=== cleaners/Makefile ===
# Copyright (C) 2014-2019 by Andrew Ziem.  All rights reserved.
# License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
# This is free software: You are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

# On some systems if not explicitly given, make uses /bin/sh, so 'make pretty' fails.
SHELL := /bin/bash

PHONY: pretty tests


pretty:
	for f in *xml; \
	do \
		xmllint --format "$$f" > "$$f.pretty"; \
		diff=`diff -q "$$f" "$$f.pretty" | grep -o differ`; \
		[[ "$$diff" != "differ" ]] && echo "$$f" unchanged && rm "$$f.pretty"; \
		[[ -s "$$f.pretty" ]] && echo "$$f" is pretty now!!! && mv "$$f.pretty" "$$f"; \
	done; \
	exit 0

tests:
	lintrc=0; \
	for f in *.xml; \
	do \
		xmllint --noout --schema ../doc/cleaner_markup_language.xsd "$$f"; \
		lintrc=$$(($$lintrc + $$?)); \
	done; \
	exit $$lintrc

=== debian/changelog ===
bleachbit (2.2-3) unstable; urgency=medium

  * Fix autopkgtests, broken since 2.2-1 (Closes: #932730).

 -- Hugo Lefeuvre <hle@debian.org>  Mon, 22 Jul 2019 11:21:14 -0300

bleachbit (2.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Hugo Lefeuvre ]
  * Upload to unstable.
  * debian/control:
    - Bump Standards-Version to 4.4.0.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 21 Jul 2019 19:48:34 -0300

bleachbit (2.2-1) experimental; urgency=medium

  * New upstream release (Closes: #922368) (Closes: #928909).
    - remove fix-deep-scan-unidecode-error.patch (applied upstream).
  * debian/control:
    - Bump Standards-Version to 4.3.0.3.
    - Update debhelper dependency from >= 11 to >= 12.
    - Add newly required python-setuptools dependency.
  * remove firefox_profiles.patch (no longer needed).
  * debian/rules:
    - Fix egg-info removal.
    - Fix removal of windows-specific cleaners.
    - Migrate to Pybuild.
  * update manpage for new upstream release.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 09 Jun 2019 20:12:36 +0200

bleachbit (2.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/watch: Use https protocol

  [ Hugo Lefeuvre ]
  * debian/control:
    - Bump Standards-Version to 4.3.0.
  * debian/copyright:
    - Update copyright years.
  * debian/patches/fix-deep-scan-unidecode-error.patch:
    - fix UnicodeDecodeError while running deepscan (Closes: #895979).

 -- Hugo Lefeuvre <hle@debian.org>  Wed, 30 Jan 2019 19:57:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Hugo Lefeuvre <hle@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                desktop-file-utils,
+               python-setuptools,
                dh-python
 Build-Depends-Indep: gettext,
                      python-all
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.6
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/python-team/applications/bleachbit.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/bleachbit
 Homepage: https://www.bleachbit.org/
@@ -27,11 +27,11 @@
  privacy, and remove junk. It removes cache, Internet history, temporary files,
  cookies, and broken shortcuts.
  .
- It handles cleaning of Bash, Beagle, Epiphany, Abrowser,
- GIMP, Java, KDE, OpenOffice.org, RealPlayer, rpmbuild,
+ It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Firefox, Flash,
+ GIMP, Google Earth, Java, KDE, OpenOffice.org, Opera, RealPlayer, rpmbuild,
  Second Life Viewer, VIM, XChat, and more.
  .
  Beyond simply erasing junk files, BleachBit wipes free disk space (to hide
  previously deleted files for privacy and to improve compression of images),
- vacuums Abrowser databases (to improve performance without deleting data), and
+ vacuums Firefox databases (to improve performance without deleting data), and
  securely shreds arbitrary files.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS_python2=--install-lib=/usr/share/bleachbit

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_clean:
	find po -name "*.mo" -delete
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	make -C po install DESTDIR=$(CURDIR)/debian/bleachbit

override_dh_install:
	# Do not install Windows-specific cleaners
	dh_install $(addprefix -X,$(notdir $(shell grep -l os=.windows. $(shell grep -L os=.linux. cleaners/*.xml) | xargs ls)))
	# Automatically generate .desktop file to invoke BleachBit as superuser
	sed -e "s/Name=BleachBit/Name=BleachBit \(as root\)/; \
		s/TryExec=bleachbit/TryExec=pkexec/; \
		s/Exec=bleachbit/Exec=pkexec bleachbit/" \
		bleachbit.desktop > debian/bleachbit/usr/share/applications/bleachbit-root.desktop

override_dh_fixperms:
	dh_fixperms
	chmod +x $(CURDIR)/debian/bleachbit/usr/share/bleachbit/bleachbit.py

## bleachbit 3.0

=== Makefile ===
--- 
+++ 
@@ -51,15 +51,20 @@
 	$(INSTALL_DATA) bleachbit.appdata.xml $(DESTDIR)$(datadir)/appdata/
 
 	# Python code
-	mkdir -p $(DESTDIR)$(datadir)/bleachbit
+	mkdir -p $(DESTDIR)$(datadir)/bleachbit/markovify
 	$(INSTALL_DATA) bleachbit/*.py $(DESTDIR)$(datadir)/bleachbit
+	$(INSTALL_DATA) bleachbit/markovify/*.py $(DESTDIR)$(datadir)/bleachbit/markovify
+	#note: compileall is recursive
 	cd $(DESTDIR)$(datadir)/bleachbit && \
-	python -O -c "import compileall; compileall.compile_dir('.')" && \
-	python -c "import compileall; compileall.compile_dir('.')"
+	python2 -O -c "import compileall; compileall.compile_dir('.')" && \
+	python2 -c "import compileall; compileall.compile_dir('.')"
 
 	# cleaners
 	mkdir -p $(DESTDIR)$(datadir)/bleachbit/cleaners
 	$(INSTALL_DATA) cleaners/*.xml $(DESTDIR)$(datadir)/bleachbit/cleaners
+
+	# menu
+	$(INSTALL_DATA) data/app-menu.ui $(DESTDIR)$(datadir)/bleachbit
 
 	# icon
 	mkdir -p $(DESTDIR)$(datadir)/pixmaps

=== debian/changelog ===
bleachbit (3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Hugo Lefeuvre ]
  * New upstream release.
  * Run wrap-and-sort -a.
  * Refresh manpage for new upstream release.
  * Refresh patches for new upstream release.
  * Remove debian/lintian-overrides: warning not present anymore.
  * debian/copyright: Add missing CC0-1.0 entry for bleachbit.appdata.xml.
  * debian/control:
    - Remove pygtk dependency, upstream moved to GTK 3 as part of the 3.0
      release (Closes: #885261).
    - Add missing python-chardet, python-gi, python-requests and python-scandir
      dependencies.
    - Bump Standards-Version to 4.4.1.
    - Move python-setuptools to Build-Depends-Indep.
  * debian/install: Add rule to install data/app-menu.ui.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 27 Oct 2019 10:33:08 +0100

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,24 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper-compat (= 12),
                desktop-file-utils,
-               python-setuptools,
                dh-python
 Build-Depends-Indep: gettext,
-                     python-all
-Standards-Version: 4.4.0
+                     python-all,
+                     python-setuptools
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/python-team/applications/bleachbit.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/bleachbit
 Homepage: https://www.bleachbit.org/
 
 Package: bleachbit
 Architecture: all
-Depends: policykit-1,
-         python | python-simplejson,
-         python-gtk2,
+Depends: gir1.2-gtk-3.0,
+         libgtk-3-0,
+         policykit-1,
+         python-chardet,
+         python-gi,
+         python-requests,
+         python-scandir,
          ${misc:Depends},
          ${python:Depends}
 Recommends: python-notify

## bleachbit 3.9.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2014-2019 by Andrew Ziem.  All rights reserved.
+# Copyright (C) 2008-2020 Andrew Ziem.  All rights reserved.
 # License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
 # This is free software: You are free to change and redistribute it.
 # There is NO WARRANTY, to the extent permitted by law.
@@ -19,7 +19,8 @@
 INSTALL_DATA = $(INSTALL) -m 644
 
 # if not specified, do not check coverage
-COVERAGE ?= python
+PYTHON ?= python3
+COVERAGE ?= $(PYTHON)
 
 build:
 	echo Nothing to build
@@ -42,13 +43,13 @@
 	$(INSTALL_DATA) bleachbit.py $(DESTDIR)$(bindir)/bleachbit
 	chmod 0755 $(DESTDIR)$(bindir)/bleachbit
 
-	# .desktop
+	# application launcher
 	mkdir -p $(DESTDIR)$(datadir)/applications
-	$(INSTALL_DATA) bleachbit.desktop $(DESTDIR)$(datadir)/applications/
+	$(INSTALL_DATA) org.bleachbit.BleachBit.desktop $(DESTDIR)$(datadir)/applications/
 
-	# .desktop
-	mkdir -p $(DESTDIR)$(datadir)/appdata
-	$(INSTALL_DATA) bleachbit.appdata.xml $(DESTDIR)$(datadir)/appdata/
+	# AppStream metadata
+	mkdir -p $(DESTDIR)$(datadir)/metainfo
+	$(INSTALL_DATA) org.bleachbit.BleachBit.metainfo.xml $(DESTDIR)$(datadir)/metainfo/
 
 	# Python code
 	mkdir -p $(DESTDIR)$(datadir)/bleachbit/markovify
@@ -56,8 +57,8 @@
 	$(INSTALL_DATA) bleachbit/markovify/*.py $(DESTDIR)$(datadir)/bleachbit/markovify
 	#note: compileall is recursive
 	cd $(DESTDIR)$(datadir)/bleachbit && \
-	python2 -O -c "import compileall; compileall.compile_dir('.')" && \
-	python2 -c "import compileall; compileall.compile_dir('.')"
+	$(PYTHON) -O -c "import compileall; compileall.compile_dir('.')" && \
+	$(PYTHON) -c "import compileall; compileall.compile_dir('.')"
 
 	# cleaners
 	mkdir -p $(DESTDIR)$(datadir)/bleachbit/cleaners
@@ -97,6 +98,12 @@
 	# Remove Windows-specific modules.
 	rm -f bleachbit/Windows*.py
 
+downgrade_desktop:
+#	This will downgrade the version of the .desktop file for older Linux distributions.
+#	See https://github.com/bleachbit/bleachbit/issues/750
+	desktop-file-validate org.bleachbit.BleachBit.desktop || \
+	 sed --regexp-extended -i '/^(Keywords|Version)=/d' org.bleachbit.BleachBit.desktop
+
 tests:
 	make -C cleaners tests; cleaners_status=$$?; \
 	$(COVERAGE) -m unittest discover -p Test*.py -v; py_status=$$?; \

=== cleaners/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2014-2019 by Andrew Ziem.  All rights reserved.
+# Copyright (C) 2008-2020 Andrew Ziem.  All rights reserved.
 # License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
 # This is free software: You are free to change and redistribute it.
 # There is NO WARRANTY, to the extent permitted by law.

=== debian/changelog ===
bleachbit (3.9.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright notice
  * Switch to python3; Closes: #936214

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Apr 2020 00:08:31 -0400

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                desktop-file-utils,
                dh-python
 Build-Depends-Indep: gettext,
-                     python-all,
-                     python-setuptools
+                     python3-all,
+                     python3-setuptools
 Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/python-team/applications/bleachbit.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/bleachbit
@@ -19,13 +19,11 @@
 Depends: gir1.2-gtk-3.0,
          libgtk-3-0,
          policykit-1,
-         python-chardet,
-         python-gi,
-         python-requests,
-         python-scandir,
+         python3-chardet,
+         python3-gi,
+         python3-requests,
          ${misc:Depends},
-         ${python:Depends}
-Recommends: python-notify
+         ${python3:Depends}
 Description: delete unnecessary files from the system
  BleachBit deletes unnecessary files to free valuable disk space, maintain
  privacy, and remove junk. It removes cache, Internet history, temporary files,

=== debian/tests/control ===
Tests: smoketest
Depends: bleachbit
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://sf.net/bleachbit/bleachbit-([0-9.]+)\.tar.gz

## bleachbit 3.9.0-1+10.0trisquel2+10.0trisquel2+10.0trisquel2

=== debian/changelog ===
bleachbit (3.9.0-1+10.0trisquel2+10.0trisquel2+10.0trisquel2) nabia; urgency=medium

  * Remove cleaners for non-free programs and stop advertising them

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 26 Jun 2021 02:28:46 +0000

bleachbit (3.9.0-1+10.0trisquel2+10.0trisquel2) nabia; urgency=medium

  * Add icecat cleaner

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 26 Jun 2021 02:28:46 +0000

bleachbit (3.9.0-1+10.0trisquel2) nabia; urgency=medium

  * Rename firefox to abrowser

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 26 Jun 2021 02:28:46 +0000

## bleachbit 3.9.0-1+10.0trisquel3

=== debian/changelog ===
bleachbit (3.9.0-1+10.0trisquel3) nabia; urgency=medium

  * Rename firefox to abrowser, add icecat cleaner and remove cleaners
    for non-free programs and stop advertising them

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 07 Jun 2022 18:55:01 +0000

=== debian/control ===
--- 
+++ 
@@ -29,11 +29,11 @@
  privacy, and remove junk. It removes cache, Internet history, temporary files,
  cookies, and broken shortcuts.
  .
- It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Firefox, Flash,
- GIMP, Google Earth, Java, KDE, OpenOffice.org, Opera, RealPlayer, rpmbuild,
+ It handles cleaning of Bash, Beagle, Epiphany, Abrowser,
+ GIMP, Java, KDE, OpenOffice.org, RealPlayer, rpmbuild,
  Second Life Viewer, VIM, XChat, and more.
  .
  Beyond simply erasing junk files, BleachBit wipes free disk space (to hide
  previously deleted files for privacy and to improve compression of images),
- vacuums Firefox databases (to improve performance without deleting data), and
+ vacuums Abrowser databases (to improve performance without deleting data), and
  securely shreds arbitrary files.

## bleachbit 4.0.0

=== debian/changelog ===
bleachbit (4.0.0-0.1~mx15+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
  * Drop to debhelper compat 10 to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 Apr 2020 19:58:15 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: bleachbit
 Section: admin
 Priority: optional
-Maintainer: Hugo Lefeuvre <hle@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Hugo Lefeuvre <hle@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper (>= 10),
                desktop-file-utils,
                dh-python
 Build-Depends-Indep: gettext,
@@ -29,11 +30,11 @@
  privacy, and remove junk. It removes cache, Internet history, temporary files,
  cookies, and broken shortcuts.
  .
- It handles cleaning of Bash, Beagle, Epiphany, Abrowser,
- GIMP, Java, KDE, OpenOffice.org, RealPlayer, rpmbuild,
+ It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Firefox, Flash,
+ GIMP, Google Earth, Java, KDE, OpenOffice.org, Opera, RealPlayer, rpmbuild,
  Second Life Viewer, VIM, XChat, and more.
  .
  Beyond simply erasing junk files, BleachBit wipes free disk space (to hide
  previously deleted files for privacy and to improve compression of images),
- vacuums Abrowser databases (to improve performance without deleting data), and
+ vacuums Firefox databases (to improve performance without deleting data), and
  securely shreds arbitrary files.

## bleachbit 4.1.0

=== debian/changelog ===
bleachbit (4.1.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 04 Sep 2020 15:47:31 -0700

bleachbit (4.0.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
  * Drop to debhelper compat 10 to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 Apr 2020 19:58:15 -0700

## bleachbit 4.1.1

=== Makefile ===
--- 
+++ 
@@ -96,7 +96,7 @@
 	# Remove Windows-specific cleaners.
 	awk '/os=\"windows/ && /id=\"/ {print FILENAME}' cleaners/*.xml | xargs rm -f
 	# Remove Windows-specific modules.
-	rm -f bleachbit/Windows*.py
+	rm -f bleachbit/{Winapp,Windows*}.py 
 
 downgrade_desktop:
 #	This will downgrade the version of the .desktop file for older Linux distributions.

=== debian/changelog ===
bleachbit (4.1.1-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 04 Sep 2020 15:47:31 -0700

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,8 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Hugo Lefeuvre <hle@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 10),
-               desktop-file-utils,
-               dh-python
-Build-Depends-Indep: gettext,
-                     python3-all,
-                     python3-setuptools
+Build-Depends: debhelper (>= 10), desktop-file-utils, dh-python
+Build-Depends-Indep: gettext, python3-all, python3-setuptools
 Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/python-team/applications/bleachbit.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/bleachbit
@@ -31,8 +27,8 @@
  cookies, and broken shortcuts.
  .
  It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Firefox, Flash,
- GIMP, Google Earth, Java, KDE, OpenOffice.org, Opera, RealPlayer, rpmbuild,
- Second Life Viewer, VIM, XChat, and more.
+ GIMP, Google Earth, Java, KDE, OpenOffice.org, Opera, Pale Moon, RealPlayer,
+ rpmbuild, Second Life Viewer, VIM, XChat, and more.
  .
  Beyond simply erasing junk files, BleachBit wipes free disk space (to hide
  previously deleted files for privacy and to improve compression of images),

## bleachbit 4.2.0

=== debian/changelog ===
bleachbit (4.2.0-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Jan 2021 21:01:38 -0800

## bleachbit 4.4.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2008-2020 Andrew Ziem.  All rights reserved.
+# Copyright (C) 2008-2021 Andrew Ziem.  All rights reserved.
 # License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
 # This is free software: You are free to change and redistribute it.
 # There is NO WARRANTY, to the extent permitted by law.

=== cleaners/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2008-2020 Andrew Ziem.  All rights reserved.
+# Copyright (C) 2008-2021 Andrew Ziem.  All rights reserved.
 # License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
 # This is free software: You are free to change and redistribute it.
 # There is NO WARRANTY, to the extent permitted by law.

=== po/Makefile ===
--- 
+++ 
@@ -1,22 +1,22 @@
 APP = bleachbit
 POFILES = $(wildcard *.po)
 MOFILES = $(patsubst %.po,%.mo,$(POFILES))
-SRC = $(wildcard ../bleachbit/*.py)
+SRC = $(wildcard ../bleachbit/*.py) ../data/app-menu.ui
 POTFILE = $(APP).pot
 
 
 .PHONY: refresh-po spelling local install clean all
 
 cleanerml.pot: ../bleachbit/CleanerML.py ../cleaners/*xml
-	python ../bleachbit.py --pot
+	python3 ../bleachbit.py --pot
 
-desktop.pot: ../bleachbit.desktop
-	echo "#: ../bleachbit.desktop" > desktop.pot
-	echo "msgid \"`perl -n -e '/GenericName=(.*)$$/ && print "$$1\n"' ../bleachbit.desktop`\"" >> desktop.pot
+desktop.pot: ../org.bleachbit.BleachBit.desktop
+	echo "#: ../org.bleachbit.BleachBit.desktop" > desktop.pot
+	echo "msgid \"`perl -n -e '/GenericName=(.*)$$/ && print "$$1\n"' ../org.bleachbit.BleachBit.desktop`\"" >> desktop.pot
 	echo "msgstr \"\"" >> desktop.pot
 	echo >> desktop.pot
-	echo "#: ../bleachbit.desktop" >> desktop.pot
-	echo "msgid \"`perl -n -e '/Comment=(.*)$$/ && print "$$1\n"' ../bleachbit.desktop`\"" >> desktop.pot
+	echo "#: ../org.bleachbit.BleachBit.desktop" >> desktop.pot
+	echo "msgid \"`perl -n -e '/Comment=(.*)$$/ && print "$$1\n"' ../org.bleachbit.BleachBit.desktop`\"" >> desktop.pot
 	echo "msgstr \"\"" >> desktop.pot
 	echo >> desktop.pot
 
@@ -64,7 +64,7 @@
 		mkdir -p ../locale/$$lang/LC_MESSAGES/; \
 		cp -lf $$mofile ../locale/$$lang/LC_MESSAGES/bleachbit.mo; \
 	done
-	@echo "Now you can run cd ..; python bleachbit/GUI.py"
+	@echo "Now you can run cd ..; python3 bleachbit/GUI.py"
 
 install: $(MOFILES)
 	echo "* Installing in $(DESTDIR)/usr/share/locale"

=== debian/changelog ===
bleachbit (4.4.2-1.0antix1) unstable; urgency=medium

  * Remove dependency on pkec and policykit-1
  * As root use sudo instead of pkexec 

 -- anticapitalista <antix@operamail.com>  Mon, 05 Jan 2026 13:41:01 +0200

bleachbit (4.4.2-1) unstable; urgency=medium

  * Team upload

  [ Fabio Fantoni ]
  * New upstream release (Closes: #958344, #970229, #974530, #994094)
    (LP: #1957053, #1875809, #1933289)
  * Bump debhelper-compat to 13
  * d/control: add missed dependency gir1.2-notify-0.7
  * update d/copyright
  * d/control: specify that rules don't require root

  [ Jeremy Bicha ]
  * debian/control: Depend on pkexec

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Thu, 17 Mar 2022 08:55:46 -0400

bleachbit (3.9.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Sep 2021 20:35:55 -0400

=== debian/control ===
Source: bleachbit
Section: admin
Priority: optional
Maintainer: Hugo Lefeuvre <hle@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               desktop-file-utils,
               dh-python
Build-Depends-Indep: gettext,
                     python3-all,
                     python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/python-team/packages/bleachbit.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/bleachbit
Homepage: https://www.bleachbit.org/

Package: bleachbit
Architecture: all
Depends: gir1.2-gtk-3.0,
         gir1.2-notify-0.7,
         libgtk-3-0,
         python3-chardet,
         python3-gi,
         python3-requests,
         ${misc:Depends},
         ${python3:Depends}
Description: delete unnecessary files from the system
 BleachBit deletes unnecessary files to free valuable disk space, maintain
 privacy, and remove junk. It removes cache, Internet history, temporary files,
 cookies, and broken shortcuts.
 .
 It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Firefox, Flash,
 GIMP, Google Earth, Java, KDE, OpenOffice.org, Opera, RealPlayer, rpmbuild,
 Second Life Viewer, VIM, XChat, and more.
 .
 Beyond simply erasing junk files, BleachBit wipes free disk space (to hide
 previously deleted files for privacy and to improve compression of images),
 vacuums Firefox databases (to improve performance without deleting data), and
 securely shreds arbitrary files.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS_python3=--install-lib=/usr/share/bleachbit

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	find po -name "*.mo" -delete
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	make -C po install DESTDIR=$(CURDIR)/debian/bleachbit

override_dh_install:
	# Do not install Windows-specific cleaners
	dh_install $(addprefix -X,$(notdir $(shell grep -l os=.windows. $(shell grep -L os=.linux. cleaners/*.xml) | xargs ls)))
	# Automatically generate .desktop file to invoke BleachBit as superuser
	sed -e "s/Name=BleachBit/Name=BleachBit \(as root\)/; \
		s/TryExec=bleachbit/TryExec=sudo/; \
		s/Exec=bleachbit/Exec=sudo bleachbit/" \
		org.bleachbit.BleachBit.desktop > debian/bleachbit/usr/share/applications/bleachbit-root.desktop

override_dh_fixperms:
	dh_fixperms
	chmod +x $(CURDIR)/debian/bleachbit/usr/share/bleachbit/bleachbit.py

## bleachbit 4.4.2-1+11.0trisquel3

=== debian/changelog ===
bleachbit (4.4.2-1+11.0trisquel3) aramo; urgency=medium

  * Rename firefox to abrowser, add icecat cleaner and remove cleaners
    for non-free programs and stop advertising them

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 07 Jun 2022 18:19:53 +0000

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,8 @@
 Depends: gir1.2-gtk-3.0,
          gir1.2-notify-0.7,
          libgtk-3-0,
+         pkexec,
+         policykit-1,
          python3-chardet,
          python3-gi,
          python3-requests,
@@ -30,11 +32,11 @@
  privacy, and remove junk. It removes cache, Internet history, temporary files,
  cookies, and broken shortcuts.
  .
- It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Firefox, Flash,
- GIMP, Google Earth, Java, KDE, OpenOffice.org, Opera, RealPlayer, rpmbuild,
+ It handles cleaning of Bash, Beagle, Epiphany, Abrowser,
+ GIMP, Java, KDE, OpenOffice.org, RealPlayer, rpmbuild,
  Second Life Viewer, VIM, XChat, and more.
  .
  Beyond simply erasing junk files, BleachBit wipes free disk space (to hide
  previously deleted files for privacy and to improve compression of images),
- vacuums Firefox databases (to improve performance without deleting data), and
+ vacuums Abrowser databases (to improve performance without deleting data), and
  securely shreds arbitrary files.

## bleachbit 4.6.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2008-2021 Andrew Ziem.  All rights reserved.
+# Copyright (C) 2008-2023 Andrew Ziem.  All rights reserved.
 # License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
 # This is free software: You are free to change and redistribute it.
 # There is NO WARRANTY, to the extent permitted by law.
@@ -26,7 +26,8 @@
 	echo Nothing to build
 
 clean:
-	@rm -vf {.,bleachbit,tests,windows}/*{pyc,pyo,~}
+	@rm -vf {.,bleachbit,tests,windows,bleachbit/markovify}/*{pyc,pyo,~} # files
+	@rm -vrf {.,bleachbit,tests,windows,bleachbit/markovify}/__pycache__ # directories
 	@rm -vrf build dist # created by py2exe
 	@rm -rf BleachBit-Portable # created by windows/setup_py2exe.bat
 	@rm -rf BleachBit-*-portable.zip
@@ -94,7 +95,7 @@
 delete_windows_files:
 	# This is used for building .deb and .rpm packages.
 	# Remove Windows-specific cleaners.
-	awk '/os=\"windows/ && /id=\"/ {print FILENAME}' cleaners/*.xml | xargs rm -f
+	grep -l "cleaner id=\"\w*\" os=\"windows\"" cleaners/*xml | xargs rm -f
 	# Remove Windows-specific modules.
 	rm -f bleachbit/{Winapp,Windows*}.py

=== cleaners/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2008-2021 Andrew Ziem.  All rights reserved.
+# Copyright (C) 2008-2023 Andrew Ziem.  All rights reserved.
 # License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
 # This is free software: You are free to change and redistribute it.
 # There is NO WARRANTY, to the extent permitted by law.

=== debian/changelog ===
bleachbit (4.6.0-3) unstable; urgency=medium

  * Return to Debian Python Team and add myself to uploaders (Closes: #1065808)
  * Remove libgtk-3-0 from depends (Closes: #1067171)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Tue, 19 Mar 2024 21:57:51 +0100

bleachbit (4.6.0-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package.

  [ Fabio Fantoni ]
  * Add upstream signing key and check for signature in d/watch.
  * Add debian/salsa-ci.yml.
  * Update d/copyright.

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Mar 2024 20:48:07 -0500

bleachbit (4.6.0-1) unstable; urgency=medium

  * New upstream release.
    + Fix compatibility with python3.11. (Closes: #1058148)
  * Update uploaders list. (Closes: #1050264)
  * debian/: Apply "wrap-and-sort -abst".

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Dec 2023 23:11:35 -0500

bleachbit (4.4.2-2) unstable; urgency=medium

  * Team upload
  * d/control: remove policykit-1 depends (Closes: #1025545)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Thu, 10 Aug 2023 11:21:13 +0000

=== debian/control ===
Source: bleachbit
Section: admin
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>,
Uploaders:
 Fabio Fantoni <fantonifabio@tiscali.it>,
Build-Depends:
 debhelper-compat (= 13),
 desktop-file-utils,
 dh-sequence-python3,
 gettext,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/python-team/packages/bleachbit.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/bleachbit
Homepage: https://www.bleachbit.org/

Package: bleachbit
Architecture: all
Depends:
 gir1.2-gtk-3.0,
 gir1.2-notify-0.7,
 pkexec,
 python3-chardet,
 python3-gi,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Description: delete unnecessary files from the system
 BleachBit deletes unnecessary files to free valuable disk space, maintain
 privacy, and remove junk. It removes cache, Internet history, temporary files,
 cookies, and broken shortcuts.
 .
 It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Firefox, Flash,
 GIMP, Google Earth, Java, KDE, OpenOffice.org, Opera, RealPlayer, rpmbuild,
 Second Life Viewer, VIM, XChat, and more.
 .
 Beyond simply erasing junk files, BleachBit wipes free disk space (to hide
 previously deleted files for privacy and to improve compression of images),
 vacuums Firefox databases (to improve performance without deleting data), and
 securely shreds arbitrary files.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS_python3=--install-lib=/usr/share/bleachbit

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_clean:
	find po -name "*.mo" -delete

execute_after_dh_auto_install:
	make -C po install DESTDIR=$(CURDIR)/debian/bleachbit

override_dh_install:
	# Do not install Windows-specific cleaners
	dh_install $(addprefix -X,$(notdir $(shell grep -l os=.windows. $(shell grep -L os=.linux. cleaners/*.xml) | xargs ls)))
	# Automatically generate .desktop file to invoke BleachBit as superuser
	sed -e "s/Name=BleachBit/Name=BleachBit \(as root\)/; \
		s/TryExec=bleachbit/TryExec=pkexec/; \
		s/Exec=bleachbit/Exec=pkexec bleachbit/" \
		org.bleachbit.BleachBit.desktop > debian/bleachbit/usr/share/applications/bleachbit-root.desktop

execute_after_dh_fixperms:
	chmod +x $(CURDIR)/debian/bleachbit/usr/share/bleachbit/bleachbit.py

## bleachbit 4.6.0-3trisquel3

=== debian/changelog ===
bleachbit (4.6.0-3trisquel3) ecne; urgency=medium

  * Rename firefox to abrowser, add icecat cleaner and remove cleaners
    for non-free programs and stop advertising them

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 13 Oct 2024 06:44:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: bleachbit
 Section: admin
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders:
  Fabio Fantoni <fantonifabio@tiscali.it>,
 Build-Depends:
@@ -33,11 +33,11 @@
  privacy, and remove junk. It removes cache, Internet history, temporary files,
  cookies, and broken shortcuts.
  .
- It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Firefox, Flash,
- GIMP, Google Earth, Java, KDE, OpenOffice.org, Opera, RealPlayer, rpmbuild,
+ It handles cleaning of Bash, Beagle, Epiphany, Abrowser,
+ GIMP, Java, KDE, OpenOffice.org, RealPlayer, rpmbuild,
  Second Life Viewer, VIM, XChat, and more.
  .
  Beyond simply erasing junk files, BleachBit wipes free disk space (to hide
  previously deleted files for privacy and to improve compression of images),
- vacuums Firefox databases (to improve performance without deleting data), and
+ vacuums Abrowser databases (to improve performance without deleting data), and
  securely shreds arbitrary files.
